You are here

Does Heal Selection work with XP?

I have down loaded the resynthesize plugin package but heal selection is not showing as an option unter filters

Yes it does work in XP.
But it has [for me] disappeared from the 'Filters > Enhance' menu, which is puzzling.

I'm no tech head and and I'm pretty new to Gimp so this has taken me a few hours to figure out.
My issue was (as I posted above) the disappearance of Python-fu which appears above the Script-fu in the filters menu.
(I believe this means python is not working or something like that thus stopping resynthesize 'heal selection' plugins from appearing in the menu.)

I uninstalled Gimp 2.8.6 using Revo uninstaller, (I also deleted the C:\Documents and Settings\Your name\.gimp-2.8 folder)
Got the latest version of Gimp 2.8.10, installed, but this did not fix the issue.

After much searching I found this 'how to' http://www.gimpusers.com/tutorials/install-python-for-gimp-2-6-windows.html
I only followed the Python instructions, I did not install PyGtk

I uninstalled Gimp again! (must have done this 5-6 times over the day) and installed the latest version of Python [2.7.6] http://www.python.org/download/
(currently I have 2.3.3 installed), I read that if I uninstalled this [the version shipped with this pc] there is a possibility I could severely unstabilize my system, so I left that as is.

I reinstalled Gimp again!! and hoorah, Python now appears in the filters menu.

I then opened the Python-fu console inputted "print gimp.directory" for the correct place to place my plugins etc
Slapped the resynthesize 'heal selection' plugins in and re-booted gimp.

No errors and all working, 'heal section' shows in filters>>enhance menu.

A XP system with Python 2.3.3 pre-installed? That would be very uncommon. Do you know why this would have been done?

Installing Python separately should not be necessary with the 2.8.x installers from http://www.gimp.org - they include it, and have the pygimp.interp file in lib\gimp\2.0\interpreters point to the included version. You could check if the interpreter paths in this file specify a different location.

Sorry, my mistake it's Python 2.2.3.
All that "pygimp.interp file in lib\gimp\2.0\interpreters" means nothing to me, I just want to make pretty pictures.

Subscribe to Comments for "Does Heal Selection work with XP?"